/*
 *	Main.h
 *
 *	Robert Dierkes,  November 11, 1993
 */

#define		kGraphicsHeapSize	(400 * 1024L)
#define		kCycleLength		(60*60)			/* Ticks */

/*----------------------*/
/*	Menus & Windows		*/
/*----------------------*/
enum
{
	menuBarRsrcID	= 128,
	windowRsrcID	= 128,
	appleMenuRsrcID	= 128,
	fileMenuRsrcID,
	animationMenuRsrcID,
	objectMenuRsrcID,
	windowMenuRsrcID,

	aboutRsrcID		= 128
};

enum
{
	itemAbout		= 1,	/*	appleMenuRsrcID		*/

	itemQuit		= 1,	/*	fileMenuRsrcID		*/

	itemBegin		= 1,	/*	animationMenuRsrcID	*/
	itemEnd,
	itemStep,

	itemSquare		= 1,	/*	objectMenuRsrcID	*/
	itemOval,
	itemDash1,
	itemDither,
	itemHalftone,

	itemShowFrame	= 1,	/*	windowMenuRsrcID	*/
	itemDash2,
	itemMinimumPanes,
	itemDash3 = itemMinimumPanes + kMaximumPanesPerSide,
	itemCycle
};


/*----------*/
/*	Macros	*/
/*----------*/
#define	GetWindowKind(pWindow)			((WindowPeek)pWindow)->windowKind
#define	SetWindowKind(pWindow,rsrcID)	((WindowPeek)pWindow)->windowKind=rsrcID


#define		kHiliteAllMenus		(short) 0
#define		kWindowOnTop		((WindowPtr) -1)
#define		kWindowTitleHeight	(short) 20


Boolean	InitApp (void);
void ExitApp (void);
void InitializeMenus (void);
WindowPtr InitializeWindow (void);
void DoContentClick (EventRecord *pEvent, WindowPtr theWindow);
void DoMenuCommand (long menuResult);
void DoGrowBox (EventRecord *pEvent, WindowPtr theWindow);
void DoZoomBox (EventRecord *pEvent, WindowPtr theWindow, short windowPart);
void DoNullEvent (EventRecord *pEvent);
void DoMouseDown (EventRecord *pEvent);
void DoKeyStroke (EventRecord *pEvent);
void DoUpdate (EventRecord *pEvent);
void DoActivate (EventRecord *pEvent);
void DoEvent (void);
