/*
 *	ViewPorts.h
 *
 *	Robert Dierkes,  November 11, 1993
 */

#include <Types.h>
#include <Windows.h>
#include <memory.h>
#include "graphics types.h"


#define		kMinimumPanesPerSide	1
#define		kMaximumPanesPerSide	10
#define		kInitialPanesPerSide	4
#define		kPaneRepeat				4


#define		kFrameThickness		IntToFixed (3)

#define		kObjectWidth		IntToFixed (80)
#define		kObjectHeight		IntToFixed (80)

#define		IfSetViewPortDither(a,b,c)	{if (a) GXSetViewPortDither (b, c);}
#define		SetRBGColor(dotColor,r,g,b)	{dotColor.red = r; dotColor.green = g; dotColor.blue = b;}

void ChangeFrame (Rect *pBounds, long numCols, long numRows, boolean showFrame, gxShape *pFrame);
void ChangeShapeViewPorts (WindowPtr pWindow, long numCols, long numRows, boolean showFrame, gxShape object);
void InitializeViewPortGlobals (void);
void ChangeViewPorts (WindowPtr pWindow);
long ChangeViewPortCount (WindowPtr pWindow, boolean showFrame, long newCount);
void InitializeViewPorts (WindowPtr pWindow);
void DisposeViewPorts (WindowPtr pWindow);
